## GimpFontSelectButton

GimpFontSelectButton

## Synopsis

                        GimpFontSelectButton;
    GtkWidget *         gimp_font_select_button_new         (const gchar *title,
                                                             const gchar *font_name);
    const gchar *       gimp_font_select_button_get_font    (GimpFontSelectButton *button);
    void                gimp_font_select_button_set_font    (GimpFontSelectButton *button,
                                                             const gchar *font_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GimpSelectButton
                                                 +----GimpFontSelectButton

## Implemented Interfaces

GimpFontSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "font-name"                gchar*                : Read / Write
      "title"                    gchar*                : Read / Write / Construct Only

## Signals

      "font-set"                                       : Run First

## Description

## Details

### GimpFontSelectButton

    typedef struct _GimpFontSelectButton GimpFontSelectButton;

### gimp_font_select_button_new ()

    GtkWidget *         gimp_font_select_button_new         (const gchar *title,
                                                             const gchar *font_name);

Creates a new GtkWidget that completely controls the selection of a font. This widget is suitable for placement in a table in a plug-in dialog.

`title` : | Title of the dialog to use or `NULL` to use the default title.
`font_name` : | Initial font name.
Returns : | A GtkWidget that you can use in your UI.

Since GIMP 2.4

### gimp_font_select_button_get_font ()

    const gchar *       gimp_font_select_button_get_font    (GimpFontSelectButton *button);

Retrieves the name of currently selected font.

`button` : | A GimpFontSelectButton
Returns : | an internal copy of the font name which must not be freed.

Since GIMP 2.4

### gimp_font_select_button_set_font ()

    void                gimp_font_select_button_set_font    (GimpFontSelectButton *button,
                                                             const gchar *font_name);

Sets the current font for the font select button.

`button` : | A GimpFontSelectButton
`font_name` : | Font name to set; `NULL` means no change.

Since GIMP 2.4

## Property Details

### The `"font-name"` property

      "font-name"                gchar*                : Read / Write

The name of the currently selected font.

Default value: "Sans"

Since GIMP 2.4

### The `"title"` property

      "title"                    gchar*                : Read / Write / Construct Only

The title to be used for the font selection popup dialog.

Default value: "Font Selection"

Since GIMP 2.4

## Signal Details

### The `"font-set"` signal

    void                user_function                      (GimpFontSelectButton *widget,
                                                            gchar                *font_name,
                                                            gboolean              dialog_closing,
                                                            gpointer              user_data)           : Run First

The ::font-set signal is emitted when the user selects a font.

`widget` : | the object which received the signal.
`font_name` : | the name of the currently selected font.
`dialog_closing` : | whether the dialog was closed or not.
`user_data` : | user data set when the signal handler was connected.

Since GIMP 2.4